[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# EMathError

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Mathematical error

## Declaration

Source position: sysutilh.inc line 140

`type EMathError = class(EExternal) ;`

## Inheritance

`EMathError` |  | Mathematical error
`EExternal` |  | External Exception.
`Exception` |  | Base class of all exceptions.
`TObject` |  | Base class of all classes.

## Description

EMathError is used when the operating system or CPU signals a floating point overflow error.

## See also

EIntError |  | Integer operation error.
EIntOverflow |  | Integer overflow error.
EDivByZero |  | Division by zero error.
ERangeError |  | Range check error.

Documentation generated on: Feb 26 2014